POST /crm/channel/{channelLinkId}/customers

Headers

  • Accept string Required

Path parameters

  • channelLinkId string Required

    Channel link ID

application/json

Body Required

  • contact object
    Hide contact attributes Show contact attributes object
    • email string
    • firstName string
    • lastName string

Responses

  • 201 application/json

    Created

    Hide response attributes Show response attributes object
    • id string
    • contact object
      Hide contact attributes Show contact attributes object
      • email string
      • firstName string
      • lastName string
      • phone object
      • fullName string
POST /crm/channel/{channelLinkId}/customers
curl \
 --request POST 'https://api.staging.deliverect.com/crm/channel/{channelLinkId}/customers' \
 --header "Content-Type: application/json" \
 --header "Accept: application/json" \
 --data '{"contact":{"email":"string","firstName":"string","lastName":"string"}}'
Request examples
# Headers
Accept: application/json

# Payload
{
  "contact": {
    "email": "string",
    "firstName": "string",
    "lastName": "string"
  }
}
Response examples (201)
{
  "id": "6916331312c63ca1f6cca94b",
  "contact": {
    "email": "john.doe@example.com",
    "phone": null,
    "fullName": "John Doe",
    "lastName": "Doe",
    "firstName": "John"
  }
}